Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## tle.framework.component.spi.ra
Interface FileItem

All Known Implementing Classes:
  DefaultFileItem

    public interface FileItem

클라이언트가 전송한 파일에 대한 정보를 저장한다.

Since:
  2.0
Author:
  최범균

Method Summary
`byte[]` | `getBytes()` 바이트 배열로 업로드한 파일의 내용을 구한다.
`java.lang.String` | `getFileName()` 업로드한 파일의 이름만을 구한다.
`java.lang.String` | `getFilePath()` 업로드한 파일의 (경로명을 포함한) 이름을 구한다.
`java.io.InputStream` | `getInputStream()` 업로드한 파일을 InputStream으로 구한다.
`java.lang.String` | `getParameterName()` 파일아이템과 관련된 파라미터 이름을 구한다.
`long` | `getSize()` 업로드한 파일의 크기를 리턴한다.
`void` | `write(java.io.File file)` 업로드한 파일을 지정한 file 객체가 나타내는 경로에 저장한다.
`void` | `write(java.io.OutputStream out)` 업로드한 파일을 지정한 스트림에 출력한다.

Method Detail

### getParameterName

    java.lang.String getParameterName()

  파일아이템과 관련된 파라미터 이름을 구한다.

  Returns:
    파라미터 이름

### getFilePath

    java.lang.String getFilePath()

  업로드한 파일의 (경로명을 포함한) 이름을 구한다. (서버상에 저장된 경로가 아닌 클라이언트가 업로드할 때 선택한 파일의 경로를 구하는 것이다.)

  Returns:
    업로드한 파일 경로

### getFileName

    java.lang.String getFileName()

  업로드한 파일의 이름만을 구한다.

  Returns:
    경로명을 제외한 파일명

### getSize

    long getSize()

  업로드한 파일의 크기를 리턴한다.

  Returns:
    파일 크기

### getBytes

    byte[] getBytes()

  바이트 배열로 업로드한 파일의 내용을 구한다.

  Returns:
    byte 배열

### getInputStream

    java.io.InputStream getInputStream()
                                       throws java.io.IOException

  업로드한 파일을 InputStream으로 구한다.

  Returns:
    파일의 내용을 읽어올 수 있는 InputStream
  Throws:
    `java.io.IOException`

### write

    void write(java.io.File file)
               throws java.lang.Exception

  업로드한 파일을 지정한 file 객체가 나타내는 경로에 저장한다.

  Parameters:
    `file` - 저장하려는 파일
  Throws:
    `java.lang.Exception` - 파일에 쓰는 과정에서 문제가 있는 경우에 발생한다.

### write

    void write(java.io.OutputStream out)
               throws java.lang.Exception

  업로드한 파일을 지정한 스트림에 출력한다.

  Parameters:
    `out` - 출력 스트림
  Throws:
    `java.lang.Exception` - 출력 과정에 문제가 있을 때 발생한다.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD